Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiServer.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiServer.java	(revision 312)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiServer.java	(revision 313)
@@ -40,6 +40,7 @@
 import org.apache.commons.lang.StringUtils;
 import org.txm.Toolbox;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.serverException.CqiCqpErrorNoSuchCorpus;
@@ -149,7 +150,7 @@
 			
 			try {
 				String path = System.getProperty("java.library.path");
-				String libpath = System.getProperty("path.separator")+Toolbox.getParam(Toolbox.CQI_SERVER_PATH_TO_CQPLIB);
+				String libpath = System.getProperty("path.separator")+Toolbox.getParam(TBXPreferences.CQI_SERVER_PATH_TO_CQPLIB);
 				if (!path.contains(libpath)) {
 					path += libpath;
 				}
@@ -451,7 +452,7 @@
 		String[] strings = {"je", "jamais"};
 		int[] strucpos = {0, 1, 2, 3 , 4};
 
-		Toolbox.setParam(Toolbox.CQI_SERVER_PATH_TO_CQPLIB, pathToExecutable);
+		Toolbox.setParam(TBXPreferences.CQI_SERVER_PATH_TO_CQPLIB, pathToExecutable);
 
 		MemCqiServer server = new MemCqiServer(pathToExecutable, pathToRegistry, pathToInitFile, " -b 10000000 -d OFF", false);
 		if (server.start()) System.out.println("Mem Server ok");
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Corpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 312)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 313)
@@ -31,16 +31,13 @@
 import java.util.ArrayList;
 import java.util.Collection;
 import java.util.Collections;
-import java.util.HashMap;
 import java.util.List;
 import java.util.Locale;
-import java.util.Map;
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.ITXMResult;
 import org.txm.functions.selection.SelectionResult;
-import org.txm.lexicon.core.corpusengine.cqp.Lexicon;
 import org.txm.objects.Base;
 import org.txm.objects.TxmObject;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -49,7 +46,6 @@
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.searchengine.cqp.corpus.query.QueryPart;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
-import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
@@ -101,12 +97,6 @@
 	/** All partitions that have been created from this corpus. */
 	protected List<Partition> partitions;
 
-	/** The results of textometric computation ran on this corpus. */
-//	private ArrayList<Object> results = new ArrayList<Object>();
-
-	/** An association between name of analysis property and lexical table. */
-	Map<String, Lexicon> lexicons = new HashMap<String, Lexicon>();
-
 	/** All private infos of the corpus. */
 	private String charset = "latin1"; //$NON-NLS-1$
 
@@ -581,21 +571,6 @@
 	}
 
 	/**
-	 * Drop a lexicon from the cache. Return the dropped lexicon, or
-	 * <code>null</code> if no lexicon was existing for this analysis property.
-	 * 
-	 * @param analysisProperty
-	 *            the analysis property
-	 * 
-	 * @return the lexicon
-	 * 
-	 * @author sloiseau
-	 */
-	public Lexicon dropLexicon(Property analysisProperty) {
-		return lexicons.remove(analysisProperty.getName());
-	}
-
-	/**
 	 * Drops a partition.
 	 * 
 	 * @param partition
@@ -737,20 +712,6 @@
 	}
 
 	/**
-	 * Gets the lexicon relative to a given property.
-	 * 
-	 * @param property
-	 *            the property
-	 * 
-	 * @return the lexicon
-	 * 
-	 * @throws CqiClientException
-	 *             the cqi client exception
-	 */
-	public abstract Lexicon getLexicon(Property property)
-			throws CqiClientException;
-
-	/**
 	 * Get the corpus locale using txmcorpus_lang property
 	 * @return
 	 */
@@ -1227,87 +1188,87 @@
 
 	
 	
-	/**
-	 * Send the Corpus indexes to R.
-	 * 
-	 * Only the word properties are send.
-	 * TODO: send structural unit properties too
-	 *
-	 * @return the string
-	 * @throws Exception the exception
-	 */
-	public String SendToR() throws Exception
-	{
-		int initialPosition = 0;
-		if (this.getMatches() != null && this.getMatches().size() > 0)
-			initialPosition = this.getMatches().get(0).getStart();
-		
-		// cols name to export
-		List<Property> props = this.getProperties();
-		String[] colnames = new String[this.getProperties().size()];
+//	/**
+//	 * Send the Corpus indexes to R.
+//	 * 
+//	 * Only the word properties are send.
+//	 * TODO: send structural unit properties too
+//	 *
+//	 * @return the string
+//	 * @throws Exception the exception
+//	 */
+//	public String SendToR() throws Exception
+//	{
+//		int initialPosition = 0;
+//		if (this.getMatches() != null && this.getMatches().size() > 0)
+//			initialPosition = this.getMatches().get(0).getStart();
+//		
+//		// cols name to export
+//		List<Property> props = this.getProperties();
+//		String[] colnames = new String[this.getProperties().size()];
+//
+//		// compute positions list
+//		int length = 0;
+//		for (Match match : getMatches()) { // 1) get number of positions
+//			length += match.getLength();
+//		}
+//		int[] positions = new int[length];
+//		int iPosition = 0;
+//		for (Match match : getMatches()) { // 2) append positions
+//			int p_end = match.getEnd();
+//			for (int p = match.getStart() ; p < p_end ; p++)
+//				positions[iPosition] = p;
+//		}
+//
+//		// 0- create the R object
+//		this.symbol = prefixR + (nocorpus++);
+//		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
+//		rw.eval(symbol +" <- matrix(ncol="+colnames.length+", nrow="+positions.length+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+//
+//		for(int i = 0 ; i < props.size() ; i++) {
+//			Property prop = props.get(i);
+//			colnames[i] = prop.getName();
+//			// send positions to R
+//			int[] idx = CorpusManager.getCorpusManager().getCqiClient().cpos2Id(prop.getQualifiedName(), positions);
+//			rw.addVectorToWorkspace("tmp", idx); //$NON-NLS-1$
+//			//if (initialPosition > 0) rw.eval("tmp <- tmp - "+initialPosition);
+//			//System.out.println("lengths "+prop.getName()+" : idx="+idx.length+" mat "+positions.length);
+//			rw.eval(symbol+"[,"+(i+1)+"] <- tmp"); //$NON-NLS-1$ //$NON-NLS-2$
+//		}
+//
+//		//set matrix col names
+//		rw.addVectorToWorkspace("tmpcol", colnames); //$NON-NLS-1$
+//		rw.eval("colnames("+symbol+") <- tmpcol"); //$NON-NLS-1$ //$NON-NLS-2$
+//
+//		rw.eval(symbol+" <- list(data="+symbol+")"); //$NON-NLS-1$ //$NON-NLS-2$
+//
+//		// create lexicons
+//		for (Property prop : this.getProperties()) {
+//			Lexicon lex = this.getLexicon(prop);
+//			rw.addVectorToWorkspace("tmp", lex.getForms()); //$NON-NLS-1$
+//			rw.eval(symbol+"$lex$"+prop.getName()+" <- tmp"); //$NON-NLS-1$ //$NON-NLS-2$
+//		}
+//		
+//		StructuralUnit text_su = this.getStructuralUnit("text");
+//		if (text_su != null) {
+//			StructuralUnitProperty text_id = text_su.getProperty("id");
+//			if (text_id != null) {
+//				int[] textlimits = this.getTextStartLimits();
+//				rw.addVectorToWorkspace("text_limits", textlimits);
+//				if (initialPosition > 0) rw.eval("text_limits <- text_limits - "+initialPosition);
+//				rw.eval(symbol+"$structs$text$start <- text_limits"); //$NON-NLS-1$ //$NON-NLS-2$
+//				
+//				textlimits = this.getTextEndLimits();
+//				rw.addVectorToWorkspace("text_limits", textlimits);
+//				if (initialPosition > 0) rw.eval("text_limits <- text_limits - "+initialPosition);
+//				//System.out.println("lengths "+prop.getName()+" : idx="+idx.length+" mat "+positions.length);
+//				rw.eval(symbol+"$structs$text$end <- text_limits"); //$NON-NLS-1$ //$NON-NLS-2$
+//			}
+//		}
+//
+//		return symbol;
+//	}
 
-		// compute positions list
-		int length = 0;
-		for (Match match : getMatches()) { // 1) get number of positions
-			length += match.getLength();
-		}
-		int[] positions = new int[length];
-		int iPosition = 0;
-		for (Match match : getMatches()) { // 2) append positions
-			int p_end = match.getEnd();
-			for (int p = match.getStart() ; p < p_end ; p++)
-				positions[iPosition] = p;
-		}
-
-		// 0- create the R object
-		this.symbol = prefixR + (nocorpus++);
-		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
-		rw.eval(symbol +" <- matrix(ncol="+colnames.length+", nrow="+positions.length+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-
-		for(int i = 0 ; i < props.size() ; i++) {
-			Property prop = props.get(i);
-			colnames[i] = prop.getName();
-			// send positions to R
-			int[] idx = CorpusManager.getCorpusManager().getCqiClient().cpos2Id(prop.getQualifiedName(), positions);
-			rw.addVectorToWorkspace("tmp", idx); //$NON-NLS-1$
-			//if (initialPosition > 0) rw.eval("tmp <- tmp - "+initialPosition);
-			//System.out.println("lengths "+prop.getName()+" : idx="+idx.length+" mat "+positions.length);
-			rw.eval(symbol+"[,"+(i+1)+"] <- tmp"); //$NON-NLS-1$ //$NON-NLS-2$
-		}
-
-		//set matrix col names
-		rw.addVectorToWorkspace("tmpcol", colnames); //$NON-NLS-1$
-		rw.eval("colnames("+symbol+") <- tmpcol"); //$NON-NLS-1$ //$NON-NLS-2$
-
-		rw.eval(symbol+" <- list(data="+symbol+")"); //$NON-NLS-1$ //$NON-NLS-2$
-
-		// create lexicons
-		for (Property prop : this.getProperties()) {
-			Lexicon lex = this.getLexicon(prop);
-			rw.addVectorToWorkspace("tmp", lex.getForms()); //$NON-NLS-1$
-			rw.eval(symbol+"$lex$"+prop.getName()+" <- tmp"); //$NON-NLS-1$ //$NON-NLS-2$
-		}
-		
-		StructuralUnit text_su = this.getStructuralUnit("text");
-		if (text_su != null) {
-			StructuralUnitProperty text_id = text_su.getProperty("id");
-			if (text_id != null) {
-				int[] textlimits = this.getTextStartLimits();
-				rw.addVectorToWorkspace("text_limits", textlimits);
-				if (initialPosition > 0) rw.eval("text_limits <- text_limits - "+initialPosition);
-				rw.eval(symbol+"$structs$text$start <- text_limits"); //$NON-NLS-1$ //$NON-NLS-2$
-				
-				textlimits = this.getTextEndLimits();
-				rw.addVectorToWorkspace("text_limits", textlimits);
-				if (initialPosition > 0) rw.eval("text_limits <- text_limits - "+initialPosition);
-				//System.out.println("lengths "+prop.getName()+" : idx="+idx.length+" mat "+positions.length);
-				rw.eval(symbol+"$structs$text$end <- text_limits"); //$NON-NLS-1$ //$NON-NLS-2$
-			}
-		}
-
-		return symbol;
-	}
-
 	/**
 	 * set the corpus charset name, to be able to print it well.
 	 *
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 312)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 313)
@@ -36,7 +36,6 @@
 import org.txm.annotation.repository.KnowledgeRepository;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.functions.selection.SelectionResult;
-import org.txm.lexicon.core.corpusengine.cqp.Lexicon;
 import org.txm.objects.Base;
 import org.txm.objects.TxmObject;
 import org.txm.searchengine.cqp.AbstractCqiClient;
@@ -250,64 +249,6 @@
 		return true;
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * 
-	 * @see
-	 * org.txm.searchengine.cqp.corpus.Corpus#getLexicon(org.txm
-	 * .searchengine.cqp.corpus.Property)
-	 */
-	@Override
-	public Lexicon getLexicon(Property property) throws CqiClientException {
-		// System.out.println("in "+this.getCqpId()+" look for cached lexicon "+property);
-		if (lexicons.containsKey(property.getName())
-				&& lexicons.get(property.getName()) != null) {
-			Log.finest(TXMCoreMessages.RETURNING_CACHED_LEXICON + this.name);
-			return lexicons.get(property.getName());
-		}
-		//System.out.println("not found");
-		Log.finest(TXMCoreMessages.SUBCORPUS_LEXICON + this.name);
-		long start = System.currentTimeMillis();
-		int[][] fdist = null;
-		Subcorpus tmp = null;
-		try {
-			tmp = createSubcorpus(new Query("[]"), "S"+getNextSubcorpusCounter(), true); //$NON-NLS-1$
-			if (tmp != null) {
-				fdist = CorpusManager.getCorpusManager().getCqiClient().fdist1(
-						tmp.getQualifiedCqpId(), 0,
-						ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
-			
-				dropSubcorpus(tmp); // drop the subcorpus only if correctly created
-			}
-			//System.out.println("nb lines: "+fdist.length);
-		} catch (Exception e) {
-			throw new CqiClientException(e);
-		} finally {
-			if (tmp != null) {
-				try {dropSubcorpus(tmp);}
-				catch (Exception e2) {}
-			}
-		}
-		int lexiconSize = fdist.length;
-
-		int[] freqs = new int[lexiconSize];
-		int[] ids = new int[lexiconSize];
-		for (int i = 0; i < fdist.length; i++) {
-			ids[i] = fdist[i][0];
-			freqs[i] = fdist[i][1];
-		}
-
-		Lexicon lexicon = new Lexicon(this, property, freqs, ids);
-
-		long end = System.currentTimeMillis();
-		Log.finest(TXMCoreMessages.END_SUBCORPUS_LEXICON + this.name
-				+ TXMCoreMessages.Subcorpus_1 + (end - start));
-
-		// System.out.println("add in "+this.getCqpId()+"cache "+property.getName());
-		lexicons.put(property.getName(), lexicon);
-		return lexicon;
-	}
-
 	// protected void finalize() throws Throwable {
 	// try {
 	// //
Index: tmp/org.txm.core/src/java/org/txm/importer/AddAttributeInXml.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/AddAttributeInXml.java	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/importer/AddAttributeInXml.java	(revision 313)
@@ -0,0 +1,132 @@
+package org.txm.importer;
+
+import java.io.File;
+import java.io.IOException;
+import java.net.MalformedURLException;
+import java.util.ArrayList;
+import java.util.HashMap;
+import java.util.HashSet;
+import java.util.List;
+
+import javax.xml.stream.XMLStreamException;
+
+import org.txm.metadatas.Entry;
+import org.txm.utils.*;
+
+/**
+ * Add a attribute value map in a XML file
+ * Warning: if an attribute already exists its value won't be changed
+ */
+public class AddAttributeInXml extends StaxIdentityParser {
+	File xmlfile;
+	String tag;
+	List<Entry> attributes;
+	HashMap<String, String> attributesMap;
+	boolean result;
+
+//	public AddAttributeInXml(File xmlfile, String tag, List<Pair<String, String>> attributes) throws MalformedURLException, IOException, XMLStreamException
+//	{
+//		super(xmlfile.toURI().toURL());
+//		this.xmlfile = xmlfile;
+//		this.tag = tag;
+//		this.attributes = attributes;
+//	}
+
+	public AddAttributeInXml(File xmlfile, String tag, HashMap<String, String> attributesMap) throws MalformedURLException, IOException, XMLStreamException {
+		super(xmlfile.toURI().toURL());
+		this.xmlfile = xmlfile;
+		this.tag = tag;
+		this.attributesMap = attributesMap;
+	}
+
+	public AddAttributeInXml(File xmlfile, String tag,	ArrayList<org.txm.metadatas.Entry> attributes) throws MalformedURLException, IOException, XMLStreamException {
+		super(xmlfile.toURI().toURL());
+		this.xmlfile = xmlfile;
+		this.tag = tag;
+		this.attributes = attributes;
+	}
+
+	public boolean process(File outfile) throws XMLStreamException, IOException {
+		this.result = false;
+		boolean ret = super.process(outfile);
+		return this.result & ret;
+	}
+
+	/**
+	 * Rewrite the processStartElement() to update/add attributes
+	 * @throws XMLStreamException 
+	 */
+	public void processStartElement() throws XMLStreamException
+	{
+		String prefix = parser.getPrefix();
+		//TODO: uncomment for TXM 0.7.6 and later
+		//			if (INCLUDE == localname && XI == prefix) {
+		//				processingXInclude();
+		//				return;
+		//			}
+
+		if (prefix.length() > 0)
+			writer.writeStartElement(Nscontext.getNamespaceURI(prefix), localname);
+		else
+			writer.writeStartElement(localname);
+
+		for (int i = 0 ; i < parser.getNamespaceCount() ; i++) {
+			writer.writeNamespace(parser.getNamespacePrefix(i), parser.getNamespaceURI(i));
+		}
+
+		HashSet<String> exists = new HashSet<String>();
+		for (int i = 0 ; i < parser.getAttributeCount() ; i++) {
+			exists.add(parser.getAttributeLocalName(i));
+			writer.writeAttribute(parser.getAttributeLocalName(i), parser.getAttributeValue(i));
+		}
+		if (localname == tag && !stopInsertion) { // insert here
+			result = true;;
+			if (attributes != null) {
+				for (Pair<String, String> meta : attributes) {
+					if(stopAtFirst)
+						stopInsertion = true;
+					if(!exists.contains(meta.getFirst())) // I can add the new attribute
+						writer.writeAttribute(meta.getFirst(), meta.getSecond());
+				}
+			} else if (attributesMap != null) {
+				for (String name : attributesMap.keySet()) {
+					if (stopAtFirst)
+						stopInsertion = true;
+					if (!exists.contains(name)) // I can add the new attribute
+						writer.writeAttribute(name, attributesMap.get(name));
+				}
+			}
+		}
+	}
+
+	boolean stopAtFirst = false;
+	boolean stopInsertion = false;
+	public void onlyOneElement() {
+		stopAtFirst = true;
+	}
+
+	public static void main(String[] args)
+	{
+		try {
+			File xmlfile = new File("/home/mdecorde/xml/xmlçàé/essai.xml");
+			File temp = File.createTempFile("temp", ".xml", xmlfile.getParentFile());
+			String tag = "titre";
+			ArrayList<Pair<String, String>> metadatas = new ArrayList<Pair<String, String>>();
+			metadatas.add(new Pair<String, String>("name1", "newvalue1"));
+			metadatas.add(new Pair<String, String>("name2", "value2"));
+			metadatas.add(new Pair<String, String>("name3", "value3"));
+
+//			AddAttributeInXml builder = new AddAttributeInXml(xmlfile, tag, metadatas);
+//			builder.onlyOneElement();
+//			if (builder.process(temp)) {
+//				if (!(xmlfile.delete() && temp.renameTo(xmlfile))) {
+//					System.out.println("Warning can't rename file "+temp+" to "+xmlfile);
+//				}
+//			} else {
+//				System.out.println("Error during process");
+//			}
+		} catch(Exception e) {
+			e.printStackTrace();
+		}
+	}
+}

Index: tmp/org.txm.core/src/java/org/txm/importer/PersonalNamespaceContext.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/PersonalNamespaceContext.java	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/importer/PersonalNamespaceContext.java	(revision 313)
@@ -0,0 +1,117 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+//
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+//
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+//
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+//
+//
+//
+// $LastChangedDate: 2016-02-01 09:53:38 +0100 (Mon, 01 Feb 2016) $
+// $LastChangedRevision: 3101 $
+// $LastChangedBy: mdecorde $
+//
+package org.txm.importer;
+
+import java.util.HashMap;
+import java.util.Iterator;
+
+import javax.xml.XMLConstants;
+import javax.xml.namespace.NamespaceContext;
+
+/**
+ * Instantiates a new personal namespace context.
+ *
+ * @author ayepdieu, mdecorde
+ * 
+ * Do correpondances between namespace and uri
+ */
+public class PersonalNamespaceContext implements NamespaceContext {
+	
+	public static HashMap<String, String> adress2name = new HashMap<String, String>();
+	public static HashMap<String, String> name2adress = new HashMap<String, String>();
+	static {
+		addNamespace("tei", "http://www.tei-c.org/ns/1.0");
+		addNamespace("me", "http://www.menota.org/ns/1.0");
+		addNamespace("bfm", "http://bfm.ens-lsh.fr/ns/1.0");
+		addNamespace("txm", "http://textometrie.org/1.0");
+		addNamespace("xi", "http://www.w3.org/2001/XInclude");
+		addNamespace("fn", "http://www.w3.org/2005/xpath-functions");
+		addNamespace("xhtml", "http://www.w3.org/1999/xhtml");
+		addNamespace("svg", "http://www.w3.org/2000/svg");
+		addNamespace(XMLConstants.XML_NS_PREFIX, XMLConstants.XML_NS_URI);
+	}
+	/*
+	String TEINS = "http://www.tei-c.org/ns/1.0"
+	String MENS = "http://www.menota.org/ns/1.0";
+	String BFMNS = "http://bfm.ens-lsh.fr/ns/1.0";
+	String TXMNS = "http://textometrie.org/1.0";
+	String XINS = "http://www.w3.org/2001/XInclude";
+	String FNNS = "http://www.w3.org/2005/xpath-functions";
+	String XHTMLNS = "http://www.w3.org/1999/xhtml";
+	String SVGNS = "http://www.w3.org/2000/svg"
+	String XMLNS = "http://www.w3.org/XML/1998/namespace"
+
+	String TEINSNAME = "tei"
+	String MENSNAME = "me";
+	String BFMNSNAME = "bfm";
+	String TXMNSNAME = "txm";
+	String XINSNAME = "xi";
+	String FNNSNAME = "fn";
+	String XHTMLNSNAME = "xhtml";
+	String SVGNSNAME = "svg"
+*/
+	public PersonalNamespaceContext() {
+		super();
+	}
+
+	public static void addNamespace(String name, String address) {
+		adress2name.put(address, name);
+		name2adress.put(name, address);
+	}
+	
+	/* (non-Javadoc)
+	 * @see javax.xml.namespace.NamespaceContext#getNamespaceURI(java.lang.String)
+	 */
+	public String getNamespaceURI(String prefix) {
+		if (!name2adress.containsKey(prefix)) return XMLConstants.NULL_NS_URI;
+		return name2adress.get(prefix);
+	}
+
+	private static String NONE = "";
+	/**
+	 * 
+	 * @param uri the uri
+	 * @return the prefix
+	 */
+	public String getPrefix(String uri) {
+		
+		if (uri == null) return NONE;
+		if (!adress2name.containsKey(uri)) return NONE;
+		return adress2name.get(uri);
+	}
+
+	/**
+	 * This method isn't necessary for XPath processing either.
+	 *
+	 * @param uri the uri
+	 * @return the prefixes
+	 */
+	public Iterator getPrefixes(String uri) {
+		throw new UnsupportedOperationException();
+	}
+}
\ No newline at end of file

Index: tmp/org.txm.core/src/java/org/txm/importer/ImportKeys.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/ImportKeys.java	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/importer/ImportKeys.java	(revision 313)
@@ -0,0 +1,16 @@
+package org.txm.importer;
+
+public class ImportKeys {
+
+	public static final String CLEAN = "clean.directories";
+	public static final String TTMODEL = "annotate.model";
+	public static final String TTANNOTATE = "annotate.run";
+	public static final String LANG = "lang";
+	
+	public static final String MULTITHREAD = "multithread";
+	public static final String DEBUG = "debug";
+	public static final String UPDATECORPUS = "corpus.update";
+	
+	public static final String NORMALISEANAVALUES = "normalize.ana.values";
+	public static final String NORMALISEATTRIBUTEVALUES = "normalize.attribute.values";
+}
\ No newline at end of file

